<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateDocumentsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('documents', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->text('url');
            $table->string('mimetype')->nullable();
            $table->text('title')->nullable();
            $table->text('description')->nullable();
            $table->text('favicon_path')->nullable();
            $table->dateTime('checked_at')->nullable();
            $table->timestamps();
            $table->unsignedBigInteger('visits')->default(0);
            $table->unsignedSmallInteger('http_status_code')->default(0);
            $table->string('http_status_text')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('documents');
    }
}
